Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Operator
Class SimpleReplacementStrategy

    java.lang.Object
      Operator.OperatorModule
          Operator.JoinOperator
              Operator.SimpleReplacementStrategy

All Implemented Interfaces:
  Module, Operator, Stochastic

    public class SimpleReplacementStrategy

extends JoinOperator

SimpleReplacementStrategy joins two populations. It has a ReplacementOperation The ReplacementOperation is performed on the population before the incoming population is joined

Author:
  Blip

Field Summary
`protected ReplacementOperation` | `replacementOperation`

Fields inherited from class Operator.JoinOperator
`incomingPopulation`

Fields inherited from class Operator.OperatorModule
`population, rng`

Constructor Summary
`SimpleReplacementStrategy()` New instance
`SimpleReplacementStrategy(RandomNumberGenerator rng, Population incPop, ReplacementOperation rO)` Creates a new instance of SimpleReplacementStrategy

Method Summary
`Operation` | `getOperation()` Get operation that operator performs
`void` | `perform()` A ReplacementOperation is performed on the original population before the incomigPopulation is joined.
`void` | `setOperation(Operation op)` Set operation that operator performs

Methods inherited from class Operator.JoinOperator
`getIncomingPopulation, increaseAge, setIncomingPopulation`

Methods inherited from class Operator.OperatorModule
`getRNG, setPopulation, setRNG`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### replacementOperation

    protected ReplacementOperation replacementOperation

Constructor Detail

### SimpleReplacementStrategy

    public SimpleReplacementStrategy(RandomNumberGenerator rng,
                                     Population incPop,
                                     ReplacementOperation rO)

  Creates a new instance of SimpleReplacementStrategy

  Parameters:
    `rng` - random number generator
    `incPop` - incomming population
    `rO` - replacement operation

### SimpleReplacementStrategy

    public SimpleReplacementStrategy()

  New instance

Method Detail

### perform

    public void perform()

  A ReplacementOperation is performed on the original population before the incomigPopulation is joined. Competition among the children if Selection Size is larger then replacement size

  Specified by:
    `perform` in interface `Module`
  Specified by:
    `perform` in class `JoinOperator`

### setOperation

    public void setOperation(Operation op)

  Description copied from interface: `Operator`
  Set operation that operator performs

  Specified by:
    `setOperation` in interface `Operator`
  Specified by:
    `setOperation` in class `JoinOperator`
  Parameters:
    `op` - operation

### getOperation

    public Operation getOperation()

  Description copied from interface: `Operator`
  Get operation that operator performs

  Returns:
    operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD